## eodag 3.3.1+ds

=== debian/changelog ===
eodag (3.3.1+ds-1~exp1) experimental; urgency=low

  * Initial release (Closes: #1064200).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Apr 2025 08:53:19 +0000
