=== debian/control ===
Source: eodag
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-annotated-types,
               python3-boto3,
               python3-botocore,
               python3-cachetools,
               python3-click,
               python3-dateutil,
               python3-ecmwf-api-client,
               python3-fake-factory <!nocheck>,
               python3-fastapi,
               python3-geojson,
               python3-httpx <!nocheck>,
               python3-jsonpath-ng,
               python3-jwt,
               python3-lxml,
               python3-moto <!nocheck>,
               python3-orjson,
               python3-owslib,
               python3-pydantic,
               python3-pydantic-core,
               python3-pydantic-settings,
               python3-pygeofilter,
               python3-pyproj,
               python3-pyshp,
               python3-pystac,
               python3-pytest <!nocheck>,
               python3-pytest-instafail <!nocheck>,
               python3-pytest-socket <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests,
               python3-responses <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-starlette,
               python3-stdlib-list,
               python3-stream-zip,
               python3-tqdm,
               python3-typing-extensions,
               python3-urllib3,
               python3-usgs,
               python3-uvicorn,
               python3-whoosh,
               python3-yaml
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/eodag
Vcs-Git: https://salsa.debian.org/debian-gis-team/eodag.git
Homepage: https://github.com/CS-SI/eodag
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Description: Earth Observation Data Access Gateway
 EODAG (Earth Observation Data Access Gateway) is a command line tool
 and a plugin-oriented Python framework for searching, aggregating
 results and downloading remote sensed images while offering a unified
 API for data access regardless of the data provider.
 The EODAG SDK is structured around three functions:
  * List product types: list of supported products and their description
  * Search products (by product type or uid) : searches products according
    to the search criteria provided
  * Download products : download product "as is"
 .
 EODAG is developed in Python. It is structured according to a modular
 plugin architecture, easily extensible and able to integrate new data
 providers.
 Three types of plugins compose the tool:
  * Catalog search plugins, responsible for searching data
    (OpenSearch, CSW, ...),
    building paths, retrieving quicklook, combining results
  * Download plugins, allowing to download and retrieve data locally
    (via FTP, HTTP, ..), always with the same directory organization
  * Authentication plugins, which are used to authenticate the user on
    the external services used (JSON Token, Basic Auth, OAUTH, ...).
 .
 Since v2.0 EODAG can be run as STAC client or server.

Package: python3-eodag
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-cachetools,
            python3-ecmwf-api-client,
            python3-fastapi,
            python3-pydantic-settings,
            python3-pygeofilter,
            python3-owslib,
            python3-starlette,
            python3-uvicorn,
            python3-usgs
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: eodag
Section: utils
Architecture: all
Depends: python3-eodag (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - CLI
 ${source:Extended-Description}
 .
 This package provides the CLI program.
