## eodag 3.8.0+ds

=== debian/changelog ===
eodag (3.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/parches:
    - Refresh all patches.
    - Rename vendor-stream_zip.patch into 0004-vendor-stream_zip.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 05:23:57 +0000

eodag (3.3.1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch to vendor stream_zip which is gone upstream.

  [ Antonio Valentino ]
  * Update copyright file for vendored SW.
  * Source only upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 10:59:21 +0000
