## eodag 3.8.1+ds

=== debian/changelog ===
eodag (3.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Improve 0001-System-importlib.metadata.patch.
      Closes: #1113900.
    - Merge  0001-System-importlib.metadata.patch and
      0003-No-pkg_resources.patch.
    - Refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 23:11:33 +0000
