=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                python3-moto <!nocheck>,
                python3-orjson,
                python3-owslib,
+               python3-pycryptodome,
                python3-pydantic,
                python3-pydantic-core,
                python3-pydantic-settings,
@@ -42,7 +43,6 @@
                python3-shapely,
                python3-starlette,
                python3-stdlib-list,
-               python3-stream-zip,
                python3-tqdm,
                python3-typing-extensions,
                python3-urllib3,
@@ -86,6 +86,7 @@
 Depends: ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-cachetools,
+            python3-pycryptodome,
             python3-ecmwf-api-client,
             python3-fastapi,
             python3-pydantic-settings,
