## eodag 3.9.1+ds

=== debian/changelog ===
eodag (3.9.1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Update dependencies: drop python3-whoosh,
      add python3-zipstream-ng.
  * debian/patches:
    - Drop 0003-vendor-stream_zip.patch, no longer needed.
    - Refresh remaining patches.
    - New 0003-no-mypy-boto3-s3.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Oct 2025 11:08:54 +0000
