## eodag 3.10.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -42,19 +42,18 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-starlette,
-               python3-stdlib-list,
+               python3-stdlib-list <!nocheck>,
                python3-tqdm,
                python3-typing-extensions,
                python3-urllib3,
                python3-usgs,
                python3-uvicorn,
-               python3-whoosh,
-               python3-yaml
+               python3-yaml,
+               python3-zipstream-ng
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/eodag
 Vcs-Git: https://salsa.debian.org/debian-gis-team/eodag.git
 Homepage: https://github.com/CS-SI/eodag
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Description: Earth Observation Data Access Gateway
  EODAG (Earth Observation Data Access Gateway) is a command line tool
