## eodag 3.10.0+ds

=== debian/changelog ===
eodag (3.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Oct 2025 05:44:35 +0000
