=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
export PYBUILD_TEST_ARGS=\
-k "not test_core_search_auths_matching \
and not test_fetch_json \
and not test_core_object_creates_config_standard_location \
and not test_core_object_creates_index_if_not_exist \
and not test_core_object_creates_locations_standard_location \
and not test_read_only_home_dir \
and not test_eoproduct_download_progress_bar \
and not test_all_requirements \
and not test_plugins_extras" \
--ignore={dir}/tests/test_end_to_end.py \
{dir}/tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/share/python3-eodag/
	mv debian/tmp/usr/lib/python3*/*-packages/eodag/resources debian/tmp/usr/share/python3-eodag/

execute_after_dh_fixperms:
	chmod -x debian/python3-eodag/usr/share/python3-eodag/resources/shp/ne_110m_admin_0_map_units.*
