## eodag 3.10.1+ds

=== debian/changelog ===
eodag (3.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Dec 2025 09:55:55 +0000

eodag (3.10.0+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Update watch file to ignore post, dev, and alpha releases.
  * Don't move resources to /usr/share.
    (closes: #1122409)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 11 Dec 2025 06:26:13 +0000
